Subject: Re: cygwin with sockscap32
From: "Robert Collins" <[email-masked]>
To: "Robert Collins" <[email-masked]>, <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 25 Feb 2001 09:58:12 +1100

"Same ABI" should be "Backwarsd compatible ABI"

Rob

----- Original Message -----
From: "Robert Collins" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, February 25, 2001 9:55 AM
Subject: Re: cygwin with sockscap32

> Madhu,
>
> Chris Faylor is one of the three MOST QUALIFIED people to comment on
> problems related to or involving cygwin. Check the project home pages
> and see if you see why!
>
> I haven't been involved in the discussion, but I can easily believe
that
> it is _not_ cygwin's problem. And without the source code (which
> apparently isn't available) there is no easy way for anyone in the
> cygwin development team to analyse the problem.
>
> Having said that it comes down to choosing the more likely scenario,
and
> who you trust more.
>
> I have seen many occasions where software vendors have to release new
> versions of their product when an O/S patch occurs because _they broke
> the rules writing it_. Cygwin 1.1.x has the same ABI as cygwin b20.
Most
> ports for B20 run just fine under the current cygwin because cygwin
has
> been carefully kept backwarsds compatible. Occams razor suggests that
> this is just another case of a corner cutting software vendor. The
> sockscap made use of an unsupported API or ABI feature, and as such is
> now broken.
>
> Of course, it might be a cygwin problem, in which case...
>
> YOU have the cygwin source. YOU are observing the problem in a closed
> source product, YOU need to liase with the software vendor.
>
> Rob
>
>
> ----- Original Message -----
> From: "MADHU" <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>
> Sent: Sunday, February 25, 2001 8:49 AM
> Subject: Re: cygwin with sockscap32
>
>
> >
> > You may choose to igmore the problem, as you have, and hope it goes
> > away, but it hasnt. cygwin is unusable with sockscap, while it was
> > before: because of changes to the code. I would apprecciate it if
you
> > could keep quietif you have nothing of value to add to the
discussion,
> > and random rants.
> > Thanks
> > Regards
> > madhu
> >
> >
> >   |Date: Sat, 24 Feb 2001 16:40:02 -0500
> >   |From: Chris Faylor <[email-masked]>
> >   |On Thu, Feb 22, 2001 at 12:41:20PM -0800, MADHU wrote:
> >   |>helu,
> >   |>that is just your opinion, I was seeking a little more technical
> >   |>explanation, and as I pointed out in my post, and my privatre
> response
> >   |>to ernie boyd, ALL evidence points to a cygwin problem.
> >   |
> >   |It is more than an opinion.  It is cold hard fact.  Sorry.
> >   |
> >   |cgf
> >   |
> > --
> > This is the mail archive of the [email-masked] mailing
list
> > for the Cygwin project.
> > Index Nav: [Date Index] [Subject Index] [Author Index] [Thread
Index]
> > Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
> > Re: cygwin with sockscap32
> > To: "'Earnie Boyd'" <cygwin at cygwin dot com>
> > Subject: Re: cygwin with sockscap32
> > From: Christopher Faylor <cgf at redhat dot com>
> > Date: Thu, 22 Feb 2001 13:04:55 -0500
> > References:
<[email-masked]>
> > <[email-masked]>
> > Reply-To: cygwin at cygwin dot com
> >
> > On Thu, Feb 22, 2001 at 12:29:18PM -0500, Charles S. Wilson wrote:
> > >"MADHU,SURESH (HP-Cupertino,ex1)" wrote:
> > >> >> I think its a cygnus issue. Because the sockscap code has not
> > changed, but
> > >> the cygwin code has - and the sockscap source code is not as open
> > source as
> > >> the cygnus code,
> > >
> > >Yes.  It is and must be -- but perhaps the sockscap owners don't
> > >understand that.  By linking to the cygwin1.dll, the sockscap code
is
> > >required to be open source.  If you cannot obtain the source from
> > >them,
> > >then it is because the owners are VIOLATING cygwin's license.
> > >
> > >They MUST release the code -- if they don't, I'm sure Red Hat's
> > >lawyers
> > >would love to talk with them.
> >
> > Yup.
> >
> > Also the fact that something "worked" before and "doesn't work"
after
> > upgrading
> > cygwin does *not* automatically mean that "it's a cygwin problem".
> >
> > cgf
> >
> > --
> > Want to unsubscribe from this list?
> > Check out: http://cygwin.com/ml/#unsubscribe-simple
> >
> > References:
> > RE: cygwin with sockscap32
> > From: MADHU,SURESH (HP-Cupertino,ex1)
> > Re: cygwin with sockscap32
> > From: Charles S. Wilson
> > Index Nav: [Date Index] [Subject Index] [Author Index] [Thread
Index]
> > Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
> >
> >
> >
> > --
> > Want to unsubscribe from this list?
> > Check out: http://cygwin.com/ml/#unsubscribe-simple
> >
> >
>
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple